<?php require_once('Connections/cn.php'); ?>
<?php
// header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$cedula= $_REQUEST["id"];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Para tomar los datos del alumno
$sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row["id_alumno"];

// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.
$query_carreras = "Select
carreras.nombre_carrera,
carreras_alumno.id_carrera,
carreras_alumno.pensum,
carreras_alumno.turno
From
carreras
Inner Join carreras_alumno ON carreras.id_carrera = carreras_alumno.id_carrera
Where
carreras_alumno.id_alumno = '$id_alumno' and carreras_alumno.status='ACTIVA'";

$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
	$array_selected1 = array(0=>"0");
	$array_selected2 = array(0=>"Seleccione...");
	$code=1;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
		
			$array_selected1[$code] = $carrera["id_carrera"];		
			$array_selected2[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}		

// Bucle para cargar el los datos del programa en el combo.
for ($i=0; $i<count($array_selected2);$i++){
	echo "<option value=".$array_selected1[$i].">".$array_selected2[$i]."</option>";
}

?>